Delete an entry from an entity's ACL.
curl --request DELETE \
--url https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId} \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/{entityCollection}/{entityId}/acl/{subjectType}/{subjectEntityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Access control
Delete an entry from an entity's ACL.
Remove a team or user to an entity’s ACL.
DELETE
/
v1
/
{entityCollection}
/
{entityId}
/
acl
/
{subjectType}
/
{subjectEntityId}
Delete an entry from an entity's ACL.
Path Parameters
Specifies the plural of the entity type for which ACL candidates should be retrieved.
Available options:
mock-apis, data-sources The ID of the entity (mock API, data source etc.)
Required string length:
5 - 10Example:
"jjl8y"
The type of subject in the context of an ACL.
Available options:
user, team, organisation The ID of a subject entity (user, team, organisation)
Required string length:
5 - 10Example:
"jjl8y"
Response
204
Success